<?php
    class FFVE_ADMIN_MENU {
        private $options;

        public function __construct() {
            add_action('admin_menu', array($this, 'add_plugin_menu'));
        }
   
   function add_plugin_menu() {
       global $submenu;
    // Ajout du menu principal "FFVE Services" avec une icone de voiture
    add_menu_page(
        'FFVE Services',                // Titre de la page
        'FFVE Services',                // Titre du menu
        'manage_woocommerce',               // Capacité requise pour accéder à ce menu
        'ffve-services',                // Slug du menu principal
        array($this, 'welcome_page_callback'),  // Fonction de rappel pour afficher le contenu de la page
        'dashicons-car',                // Icône du menu (utilisation d'une icône WordPress)
        6                               // Position du menu dans l'admin
    );

    // Ajout du sous-menu "Configuration"
    add_submenu_page(
        'ffve-services',                // Parent slug
        'Configuration',                // Titre de la page
        'Configuration',                // Titre du sous-menu
        'manage_options',               // Capacité requise pour accéder à ce sous-menu
        'ffve-settings',                // Slug du sous-menu
        'ffve_settings_page_callback'   // Fonction de rappel pour afficher le contenu de la page
    );

   

    // Ajout du sous-menu "Exporter les produits"
    add_submenu_page(
        'ffve-services',                // Parent slug
        'Exporter les produits',        // Titre de la page
        'Exporter les produits',        // Titre du sous-menu
        'manage_woocommerce',               // Capacité requise pour accéder à ce sous-menu
        'ffve-export-products',         // Slug du sous-menu
       array($this, 'export_products_page_callback') // Fonction de rappel pour afficher le contenu de la page
    );
	
	



    // Renommer le sous-menu par défaut
    if (isset($submenu['ffve-services'])) {
        $submenu['ffve-services'][0][0] = 'A propos de'; // Remplace "FFVE Services" par "Accueil"
    }

	
	
	
	
}

public function  welcome_page_callback(){
	print '<style>
	#wpcontent, #wpfooter{
	 padding-left: 0; 
	}
	
	.notice{
	display:none;
	}
	#wpbody-content{
	background-size: cover;
	box-shadow: 10px 10px 40px 0px #0101019e inset;
	background-image:url("' . _FFVE_URL .'/ffveservices.jpg");
	height:90vh;
	}
	
	</style>';
	// print "<h1>Bienvenu !</h1>";
	
	
}


public function export_products_page_callback() {
	
	$notice = wp_admin_notice('Les produits dont la case à cocher "Exporter sur FFVE Services" a été coché seront exportés au format .csv<br>Téléchargez ce fichier et transmettez le à : <a href="mailto:contact@ffveservices.com">contact@ffveservices.com</a>. ',['type'=>'info','dismissible'=>false]);
	
	
	  echo $notice . '
        <div class="wrap">
            <h1>Exporter les produits</h1>
            <p>Cliquez sur le bouton ci-dessous pour télécharger le fichier .csv</p>
            <a href="admin-ajax.php?action=ffve_export_product" id="export-products" class="button button-primary">Télécharger le fichier</a>
            &nbsp;
            <a href="#" id="uploads-products" class="button button-primary">Envoyer le fichier</a>
        </div>
        <script type="text/javascript">
            jQuery(document).ready(function($) {
        $("#uploads-products").click(function(e) {
            e.preventDefault();
            var data = {
                action: "ffve_upload_product",
                security: "' . wp_create_nonce('ffve_upload_product_nonce') . '"
            };
            $.post(ajaxurl, data, function(response) {
                // Vérifier si la réponse est bien au format JSON
                if (response.success) {
                    alert("Fichier envoyé avec succès.");
                } else {
                    alert("Erreur lors de l\'envoi du fichier : " + response.message);
                }
            }, \'json\'); // Spécifiez le format attendu 
        });
    });
        </script>
    ';
   
   }
   
	}
     
	 
