<?php 
	class FFVE_COUPON {
		public function __construct() {
			add_action('init', array($this, '_init'));
			// error_log('construct coupon');
		}
		public function _init() {
			if (_FFVE_MOD_PROD_) {
				add_filter('woocommerce_coupon_error', array($this, 'coupon_intercept'), 10, 3);
				add_action('woocommerce_calculate_totals', array($this, 'apply_coupon_if_needed'), 10);
				add_filter( 'woocommerce_coupon_is_valid', array($this,'restrict_coupon_code_for_guests'), 10, 3 );
				// add_filter('woocommerce_cart_subtotal', function($cart_subtotal, $compound, $cart) {});

			}
		}
		
		
		// Fonction pour vérifier si l'utilisateur est connecté
		function restrict_coupon_code_for_guests( $valid, $coupon, $discount ) {
			// Code coupon pour FFVE UTILISABLE QUE SI IDENTIFIE
			$ffve_settings = new FFVE_SETTINGS();
			$code_coupon = $ffve_settings->getCoupon();
			if (!$code_coupon) {return $valid;}
			if ( $coupon->get_id() == $code_coupon ){
				if (WC()->session->get('ffve_custom_coupon_code') ){
					return true;
					}else{
					return false;
				}
			}
			return $valid;
		}
		// Legacy
		public function apply_coupon_if_needed($cart) {
		 
		 
		
    
		
		}
		public function coupon_intercept($message, $code, $coupon) {
			if (_FFVE_SERVICES_DEBUG_)
			error_log('Interception du code coupon ' . $code);
			$ffve_settings = new FFVE_SETTINGS();
			$ffve_api = new FFVE_API($ffve_settings->getServer(), $ffve_settings->getUser(), $ffve_settings->getPassword());
			$isMembreFFVE = $ffve_api->checkCouponCodeExists($coupon->get_code());
			if (!$isMembreFFVE) {
				return $message;
			}
			$ffve_tracking = new FFVE_TRACKING(false);
			$ffve_tracking->setCookies($coupon->get_code());
			$code_coupon = $ffve_settings->getCoupon();
			if (!$code_coupon) {
				return $message;
			}
			// Stocker le code coupon dans une session
			WC()->session->set('ffve_custom_coupon_code', $coupon->get_code());
			$coupon_to_apply = new WC_Coupon($code_coupon); 
			if ( $coupon_to_apply &&  $coupon_to_apply->get_id()){
				$code_to_apply= $coupon_to_apply->get_code();
			}
			// Appliquer le coupon au panier
			$this->apply_custom_coupon_to_cart($code_to_apply);
			$message = 'Code Validé, les réductions seront appliquées sur les produits éligibles.';
			FFVE_TOOLS::addLog('Un membre FFVE a utilisé son code membre');
			return $message;
		}
		public function apply_custom_coupon_to_cart($coupon_code) {
			if (WC()->cart->has_discount($coupon_code)) {
				if (_FFVE_SERVICES_DEBUG_)
				error_log('Coupon already applied: ' . $coupon_code);
				return;
			}
			WC()->cart->apply_coupon($coupon_code);
			if (_FFVE_SERVICES_DEBUG_)
			error_log('Coupon applied: ' . $coupon_code);
		}
		public function log_cart_details($cart) {
			$log_message = 'Cart details: ';
			foreach ($cart->get_cart() as $cart_item_key => $cart_item) {
				$product = $cart_item['data'];
				$product_id = $product->get_id();
				$product_name = $product->get_name();
				$product_quantity = $cart_item['quantity'];
				$product_total = $cart_item['line_total'];
				$log_message .= sprintf(
				"Product ID: %d, Name: %s, Quantity: %d, Total: %.2f; ",
				$product_id,
				$product_name,
				$product_quantity,
				$product_total
				);
			}
			if (_FFVE_SERVICES_DEBUG_)
			error_log($log_message);
		}
	}	
