<?php
	class FFVE_TRACKING {
		public function __construct($init=true) {
			if ($init && _FFVE_MOD_PROD_){
				add_action('init', array($this, 'handle_source_param'));
			}
		}
		/**
		* Handle the 'source' & token parameters and set a cookie.
		*/
		public function handle_source_param() {
			$isFFVE=$membre_ffve=false;
			$user_id=0;
			if (is_user_logged_in()) {
				$user_id = get_current_user_id();
				if ($user_id){
					$user = get_user_by('id', $user_id);
					if ( !in_array('administrator', $user->roles)){
						$membre_ffve = get_user_meta($user_id, '_membre_ffve', true);
					}
				}
			}
			if (isset($_REQUEST['tokenffve'])) { 
				$isFFVE=true;
				$token = $_REQUEST['tokenffve'];
				$ffve_settings = new FFVE_SETTINGS();
				$ffve_api = new FFVE_API($ffve_settings->getServer(), $ffve_settings->getUser(), $ffve_settings->getPassword() );
				$userData = $ffve_api->decodeToken($token);
				setcookie('sourceffve', 'ffveservices', time() + 24*3600, COOKIEPATH, COOKIE_DOMAIN, false, true);
				if (isset($userData['member']) && $userData['member'] ){
					$code_membre = FFVE_TOOLS::chiffrement($userData['member']);
					setcookie('tokenffve', $code_membre, time() + 24*3600, COOKIEPATH, COOKIE_DOMAIN, false, true);
					add_action('wp_footer', array($ffve_api,'afficherBandeau'),50);
				}
			}
			if( ( isset($_REQUEST['sourceffve'])  && $_REQUEST['sourceffve'] === 'ffveservices' ) ) { 
				$isFFVE=true;
				setcookie('sourceffve', 'ffveservices', time() + 24*3600, COOKIEPATH, COOKIE_DOMAIN, false, true);
			}
			if ($isFFVE && !$membre_ffve && $user_id){
				update_user_meta($user_id, '_membre_ffveservices', true);
			}
		}
		public function setCookies($codeMembre) {
			if (!isset($_COOKIE['tokenffve'])) {
				$code_membre = FFVE_TOOLS::chiffrement($codeMembre);
				setcookie('tokenffve', $code_membre, time() + 24*3600, COOKIEPATH, COOKIE_DOMAIN, false, true);
			}
		}
	}		