<?php
	/*
		Plugin Name: FFVE Services
		Description: Permet d'appliquer une réduction aux membres de FFVE Services et d'exporter les produits sur FFVE Services.
		Version: 2.10
		Author: FFVESERVICES & DBL France
		Information : Aucune modification, copie totale ou partielle n'est autorisée sans le consentement exprès de DBL France.
		Le fait que le code soit lisible et accessible ne consitue pas un droit.
	*/
	define('_FFVE_BASENAME', plugin_basename( __FILE__ ) );
	define('_FFVE_URL', plugin_dir_url( __FILE__ ) );
	define('_FFVE_DIR', plugin_dir_path( __FILE__ ) );
	define('_FFVE_MODULE_VERSION_','WOOCOMMERCE');
	define('_FFVE_SERVICES_VERSION_','2.10');
	define('_FFVE_SERVICES_DEBUG_',false);
	function ffveservices_init() {
		require 'class/FFVE_TOOLS.class.php';
		require 'class/FFVE_SETTINGS.class.php';
		$ffve_settings = new FFVE_SETTINGS();
		define('_FFVE_MOD_PROD_', $ffve_settings->getModeProd() );
		if (is_admin()){
			wp_enqueue_style('ffve-admin-style', plugin_dir_url(__FILE__) . 'css/admin.css',array(),_FFVE_SERVICES_VERSION_ );
			require 'class/FFVE_UPDATE.class.php';
			require 'class/FFVE_ADMIN_MENU.class.php';
			$ffve_admin_menu = new FFVE_ADMIN_MENU();
			require 'class/FFVE_ADMIN_SETTINGS.class.php';
			$ffve_admin_settings = new FFVE_ADMIN_SETTINGS();
			 // Instancier la classe de mise à jour
			$ffve_update = new FFVE_UPDATE();
		}
		require 'class/FFVE_API.class.php';
		require 'class/FFVE_COUPON.class.php';
		require 'class/FFVE_TRACKING.class.php';
		require 'class/FFVE_ORDER.class.php';
		require 'class/FFVE_PRODUCT.class.php';
		$ffve_coupon = new FFVE_COUPON();
		$ffve_tracking = new FFVE_TRACKING();
		$ffve_order = new FFVE_ORDER();
		$ffve_product = new FFVE_PRODUCT();
	} 
/* FFVE SERVICES ENGINE ON ,-) */
add_action('woocommerce_init', 'ffveservices_init', 20);
/* FFVE SERVICES VOODOO WP UPDATE */
add_filter('plugin_row_meta', 'ffve_services_plugin_row_meta', 50, 2);
add_action('in_plugin_update_message-ffveservices/ffveservices.php', 'ffve_services_plugin_update_row', 10, 2);
function ffve_services_plugin_row_meta($links, $file) {
    if (strpos($file, 'ffveservices.php') !== false) {
        $icon_url = _FFVE_URL . '/icon-256x256.png';
        $icon_img = '<img src="' . esc_url($icon_url) . '" alt="FFVE Services Icon" style="width:20px;height:20px;margin-right:10px;vertical-align:middle;">';
        array_unshift($links, $icon_img);
    }
	return $links;
}
function ffve_services_plugin_update_row($plugin_file, $plugin_data) {
    if ($plugin_file == 'ffveservices/ffveservices.php') {
        $icon_url = _FFVE_URL . '/icon-256x256.png';
        $icon_img = '<img src="' . esc_url($icon_url) . '" alt="FFVE Services Icon" style="width:20px;height:20px;margin-right:10px;vertical-align:middle;">';
        echo '<tr class="plugin-update-tr"><td colspan="3" class="plugin-update colspanchange">';
        echo '<div class="update-message">';
        echo $icon_img;
        echo 'FFVE Services : Une mise à jour est disponible. <a href="/wp-admin/plugin-install.php?tab=plugin-information&amp;plugin=ffveservices/ffveservices.php&amp;section=changelog&amp;TB_iframe=true&amp;width=640&amp;height=662" class="thickbox open-plugin-details-modal">Afficher les détails de la mise à jour.</a>';
        echo '</div>';
        echo '</td></tr>';
    }
}